ChangeSet 1.1290.15.3, 2004/02/02 14:30:25-08:00, mlotek@foobar.pl

[PATCH] USB: another unusual_devs.h change

Unfortunately, my Clie refuses to work with vanilla 2.6.1 ("sda is not a
valid block device"). After I've added my entry, it is working again.

I've tested it several days (mount, umount, mount, umount).


*** linux/drivers/usb/storage/unusual_devs.h	2004-01-09 07:59:55.000000000 +0100


 drivers/usb/storage/unusual_devs.h |    7 +++++++
 1 files changed, 7 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Wed Mar 17 15:49:04 2004
+++ b/drivers/usb/storage/unusual_devs.h	Wed Mar 17 15:49:04 2004
@@ -278,6 +278,13 @@
 		"Memorystick MSC-U01N",
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_SINGLE_LUN ),
+
+/* Submitted by Michal Mlotek <mlotek@foobar.pl> */
+UNUSUAL_DEV(  0x054c, 0x0058, 0x0000, 0x9999,
+		"Sony",
+		"PEG N760c Memorystick",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_INQUIRY ),
 		
 UNUSUAL_DEV(  0x054c, 0x0069, 0x0000, 0x9999,
 		"Sony",
